Subject: Re: bug#47327: 28.0.50; (cl-generic) eql specializer not evaluated

From: Stefan Monnier <[email-masked]>
Date: Tue, 03 Aug 2021 19:02:28 -0400

> In the new patch, I combined your solution and my fixes to current
> cl-defmethod forms.  I also tried to write an appropriate description in
> the patch header and in etc/NEWS.

Thanks.

> Please note that questionable spots remain, marked with `WARNING:'.

Your intuition was right (i.e. the code you wrote was the right choice).
I pushed it after removing those warnings as well as commenting out the
compile-time warnings from cl-defmethod (which is useful to move to the
new style but for now would be too annoying for third party packages
which have to maintain compatibility with Emacs<28).

        Stefan